import getSolidpkg from './ssn/getSolidpkg';
import readSsnFile from './ssn/readSsnFile';

(async () => {
  //Read patchmanifest
  const patchmanifestBuffer = await getPatchmanifest('assets_swtor_de_de');
  console.log(patchmanifestBuffer.length, patchmanifestBuffer);

  const patchmanifestFiles = readSsnFile(patchmanifestBuffer);
  console.log(patchmanifestFiles);

  //Read solidpkg
  const solidpkgBuffer = await getSolidpkg('assets_swtor_de_de', -1, 0);
  console.log(solidpkgBuffer.length, solidpkgBuffer);

  const solidPkgFiles = readSsnFile(solidpkgBuffer);
  console.log(solidPkgFiles);
})();
